Name:           javacc-maven-plugin
Version:        2.6
Release:        %mkrel 12
Summary:        JavaCC Maven Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://mojo.codehaus.org/javacc-maven-plugin/ 
#svn export http://svn.codehaus.org/mojo/tags/javacc-maven-plugin-2.6
#tar cjf javacc-maven-plugin-2.6.tar.bz2 javacc-maven-plugin-2.6
Source0:        javacc-maven-plugin-2.6.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:         javacc-maven-plugin-pom.patch

BuildArch: noarch

BuildRequires: javacc >= 5.0
BuildRequires: plexus-utils
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: mojo-parent
BuildRequires: plexus-containers-component-javadoc
BuildRequires: junit
Requires: javacc >= 5.0
Requires: plexus-utils
Requires: jpackage-utils
Requires: mojo-parent

%description
Maven Plugin for processing JavaCC grammar files.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -b .sav
cp -p %{SOURCE1} .

%build
mvn-rpmbuild package javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE-2.0.txt src/main/resources/NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt src/main/resources/NOTICE



%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 2.6-12.mga4
+ Revision: 506418
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6-10.mga3
+ Revision: 354828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 2.6-9.mga3
+ Revision: 325656
- Build with Maven 3

* Thu Apr 28 2011 dmorgan <dmorgan> 2.6-8.mga1
+ Revision: 92531
- Rebuild after bootstrapping
- imported package javacc-maven-plugin


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 6 2010 Orion Poplawski <orion@cora.nwra.com> 2.6-6
- Require mojo-parent.

* Thu Sep 16 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-5
- BR mojo-parent.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-4
- Fix BRs.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-3
- Fix plugin metadata build.

* Wed Mar 17 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-2
- Fix Requires.

* Mon Mar 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-1
- Initial package.
